summaryrefslogtreecommitdiff
path: root/utils/phpstan-watcher.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/phpstan-watcher.sh')
-rw-r--r--utils/phpstan-watcher.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/utils/phpstan-watcher.sh b/utils/phpstan-watcher.sh
index 70eb1d9ab..1972df049 100644
--- a/utils/phpstan-watcher.sh
+++ b/utils/phpstan-watcher.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+docker run --rm -v $(pwd):/app -v /tmp/phpstan-8.1:/tmp/phpstan \
+ --workdir /app registry.fakecake.org/ci/php8.2-alpine:3.18 php82 -d memory_limit=-1 ./vendor/bin/phpstan --memory-limit=2G --error-format=raw analyze .
+echo All done, RC=$?.
+
while true; do
inotifywait . -e close_write -r -t 300 | grep -q .php && \
(